Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.interceptor
Interface InterceptorChain

All Superinterfaces:
  java.lang.Iterable<Interceptor<? extends Message>>

All Known Implementing Classes:
  PhaseInterceptorChain

    public interface InterceptorChain

extends java.lang.Iterable<Interceptor<? extends Message>>

Base interface for all interceptor chains. An interceptor chain is an ordered list of interceptors associated with one portion of the message processing pipeline. Interceptor chains are defined for a client's request processing, response processing, and incoming SOAP fault processing. Interceptor chains are defined for a service's request processing, response processing, and outgoing SOAP fault processing.

Nested Class Summary
`static class` | `InterceptorChain.State`

Field Summary
`static java.lang.String` | `STARTING_AFTER_INTERCEPTOR_ID`
`static java.lang.String` | `STARTING_AT_INTERCEPTOR_ID`

Method Summary
`void` | `abort()`
`void` | `add(java.util.Collection<Interceptor> i)` Adds multiple interceptors to the interceptor chain.
`void` | `add(Interceptor i)` Adds a single interceptor to the interceptor chain.
`boolean` | `doIntercept(Message message)`
`boolean` | `doInterceptStartingAfter(Message message, java.lang.String startingAfterInterceptorID)`
`boolean` | `doInterceptStartingAt(Message message, java.lang.String startingAtInterceptorID)`
`MessageObserver` | `getFaultObserver()`
`java.util.ListIterator<Interceptor<? extends Message>>` | `getIterator()`
`void` | `pause()`
`void` | `remove(Interceptor i)`
`void` | `reset()`
`void` | `resume()`
`void` | `setFaultObserver(MessageObserver i)`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### STARTING_AFTER_INTERCEPTOR_ID

    static final java.lang.String STARTING_AFTER_INTERCEPTOR_ID

See Also:
  Constant Field Values

### STARTING_AT_INTERCEPTOR_ID

    static final java.lang.String STARTING_AT_INTERCEPTOR_ID

See Also:
  Constant Field Values

Method Detail

### add

    void add(Interceptor i)

  Adds a single interceptor to the interceptor chain.

  Parameters:
    `i` - the interceptor to add

### add

    void add(java.util.Collection<Interceptor> i)

  Adds multiple interceptors to the interceptor chain.

  Parameters:
    `i` - the interceptors to add to the chain

### remove

    void remove(Interceptor i)

### doIntercept

    boolean doIntercept(Message message)

### doInterceptStartingAfter

    boolean doInterceptStartingAfter(Message message,
                                     java.lang.String startingAfterInterceptorID)

### doInterceptStartingAt

    boolean doInterceptStartingAt(Message message,
                                  java.lang.String startingAtInterceptorID)

### pause

    void pause()

### resume

    void resume()

### reset

    void reset()

### getIterator

    java.util.ListIterator<Interceptor<? extends Message>> getIterator()

### getFaultObserver

    MessageObserver getFaultObserver()

### setFaultObserver

    void setFaultObserver(MessageObserver i)

### abort

    void abort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF